Delete a subject track group
curl --request DELETE \
--url https://api.alpha-1edtech.ai/edubridge/subject-track/groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"grade": "3",
"courseId": "<string>",
"isGlobal": true
}
'import requests
url = "https://api.alpha-1edtech.ai/edubridge/subject-track/groups"
payload = {
"grade": "3",
"courseId": "<string>",
"isGlobal": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({grade: '3', courseId: '<string>', isGlobal: true})
};
fetch('https://api.alpha-1edtech.ai/edubridge/subject-track/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.Subject Track
Delete a subject track group
Deletes all subject tracks in a group. The group is identified by subject, grade, courseId, and isGlobal. All tracks belonging to this group will be permanently removed.
DELETE
/
edubridge
/
subject-track
/
groups
Delete a subject track group
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
The subject for the track group (required)
Available options:
Reading, Language, Vocabulary, Social Studies, Writing, Science, FastMath, Math, None, Other The grade level for the track group (required)
Available options:
-1, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13 Example:
"3"
The course ID to identify the group to delete
Minimum string length:
1Whether this is a global group (true) or campus group (false)
Response
204 - undefined
⌘I